Bug 823891 - Setup networks action should be visible just on hosts with 3.1 and above version
Setup networks action should be visible just on hosts with 3.1 and above version
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Alona Kaplan
Meni Yakove
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-22 08:04 EDT by Alona Kaplan
Modified: 2016-02-10 14:49 EST (History)
8 users (show)

See Also:
Fixed In Version: SI6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:00:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alona Kaplan 2012-05-22 08:04:21 EDT
Description of problem:
Host->networks interfaces.
The setup network action should be visible just for hosts with 3.1 and above version.
All the other actions should be visible just on hosts with 3.0 and beneath version.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Alona Kaplan 2012-05-22 08:40:26 EDT
1. For host with 3.1 version and upper- remove the checkboxes from the first and vlan columns. All the operation are done through "setup host networks" so the selection has no meaning.
2. Remove the word "network" from the actions names-
Save network configuration-> save configuration
setup host networks->setup
Comment 2 Alona Kaplan 2012-06-10 09:02:18 EDT
Actions visibility- fixed in commit 1e02274a59700334bc4984e9cbc3a65b8767f301
Comment 3 Alona Kaplan 2012-06-13 17:38:22 EDT
opend new bug for the comment- https://bugzilla.redhat.com/show_bug.cgi?id=831845
Comment 4 Meni Yakove 2012-06-17 05:36:27 EDT
Tested on:
rhevm-3.1.0_0001-14.el6ev.noarch

SetupNetwork only visible for 3.1 hosts.

Note You need to log in before you can comment on or make changes to this bug.